summaryrefslogtreecommitdiff
path: root/openbabel.sh
diff options
context:
space:
mode:
authorAndreas Maunz <andreas@maunz.de>2011-03-29 10:41:34 +0200
committerAndreas Maunz <andreas@maunz.de>2011-03-29 10:41:34 +0200
commit9eee46910ade214786fe6362b9f9a60cf2b5e44d (patch)
tree33370661a7d52882c2b233c766aa042cb7b1894c /openbabel.sh
parent8e9117931e2344a087a0ed36c4ed9f1c3ef6d9ce (diff)
Fixed missing OB read and version VAR
Diffstat (limited to 'openbabel.sh')
-rwxr-xr-xopenbabel.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/openbabel.sh b/openbabel.sh
index 4d1aaab..dddbfa9 100755
--- a/openbabel.sh
+++ b/openbabel.sh
@@ -18,7 +18,8 @@ if [ ! -e "$WGET" ]; then
fi
# Pkg
-OBVER="openbabel-2.2.3"
+VER="2.2.3"
+OBVER="openbabel-$VER"
PREFIX="$HOME/$OBVER"
if [ -n "$1" ]; then
PREFIX="$1"
@@ -46,8 +47,9 @@ if [ ! $OB_DONE ]; then
echo "Your installation directory is '$PREFIX'."
echo "A configuration file is created and you are given the option to have it included in your '~.bashrc'."
echo "Press <Return> to continue, or <Ctrl+C> to abort."
+ read
cd /tmp
- if ! $WGET -O - "http://downloads.sourceforge.net/project/openbabel/openbabel/2.2.3/$OBVER.tar.gz?use_mirror=kent" | tar zxv >/dev/null 2>&1; then
+ if ! $WGET -O - "http://downloads.sourceforge.net/project/openbabel/openbabel/$VER/$OBVER.tar.gz?use_mirror=kent" | tar zxv >/dev/null 2>&1; then
echo "Download failed! Aborting..."
exit 1
fi